-- net lobby underlay
local under = Def.ActorFrame{
	-- left side
	Def.ActorFrame{
		InitCommand=cmd(x,SCREEN_CENTER_X-156;y,SCREEN_CENTER_Y);

		-- main box
		LoadActor( THEME:GetPathB( "ScreenSelectMusic", "decorations/"..HDActor("_under") ) )..{
			Name="Under";
			InitCommand=cmd(diffusealpha,0);
			OnCommand=cmd(linear,0.2;diffusealpha,1);
			OffCommand=cmd(linear,0.2;zoomy,0;diffusealpha,1);
		};

		-- chat output box
		LoadActor( THEME:GetPathB("","_frame 3x3"), "_square blackinset transparent normal", 256, 180 )..{
			Name="ChatOutBox";
			InitCommand=cmd(y,-56);
		};
		-- chat input box
		LoadActor( THEME:GetPathB("","_frame 3x3"), "_rounded blackinset transparent normal", 256, 24 )..{
			Name="ChatInBox";
			InitCommand=cmd(y,80);
		};
		-- location box
		LoadActor( THEME:GetPathB("","_frame 3x3"), "_square blackinset transparent normal", 256, 16 )..{
			Name="LocationBox";
			InitCommand=cmd(y,128);
		};
	};
	LoadActor(THEME:GetPathB("ScreenSelectMusic","underlay"));
};

return under;